<?xml version="1.0" encoding="UTF-8"?>
<InstallerConfigXML xsi:noNamespaceSchemaLocation="InstallerConfigXML.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <cfgProductInfo>
    <CoInstallerFinishEvent>
      <FinishEventName If="32bit">hpbsta32</FinishEventName>
      <FinishEventName If="64bit">hpbsta64</FinishEventName>
    </CoInstallerFinishEvent>
    <InstantiationName>Ma_W_MWP</InstantiationName>
    <InstanceBuildName>Ma_W_MWP_Fusion16_0_Release19133_904</InstanceBuildName>
    <InstanceID>cadbf838-c4fa-46ae-9dbd-397202c295c2</InstanceID>
    <InstanceVersion>16.0.19133.904</InstanceVersion>
    <InstanceDateCode>20190513</InstanceDateCode>
    <Title>HP LaserJet Pro MFP M426f-M427f</Title>
    <ProgramGroupTitle>HP LaserJet Pro MFP M426f-M427f</ProgramGroupTitle>
    <ProductName>HP LaserJet Pro MFP M426f-M427f</ProductName>
    <ShowSkipPnPCheckbox>false</ShowSkipPnPCheckbox>
    <ShowEPrintText>true</ShowEPrintText>
    <UseLocalConfigFile>false</UseLocalConfigFile>
    <RebootRequired>true</RebootRequired>
    <SupportsAWCInformationElement>true</SupportsAWCInformationElement>
    <FinishScreenCommentStringKey>strFinishScreenComment</FinishScreenCommentStringKey>
    <Comments>
    </Comments>
    <AdditionalSWConfigFileName>
    </AdditionalSWConfigFileName>
    <WsowRegExMatchString>HP-Setup&gt;[\w\d][\w\d]-M42[6-7] LaserJet$</WsowRegExMatchString>
    <WsowRegExMatchString>HP-Setup&gt;[\w\d][\w\d]-M42[6-7] LaserJet$</WsowRegExMatchString>
    <Models SeriesName="HP LaserJet Pro MFP M426f-M427f PCL 6">
      <Model>
        <DeviceModelName>HP LaserJet MFP M426fdn</DeviceModelName>
        <UsbID>VID_03F0&amp;PID_5a2a</UsbID>
        <ParbID>Hewlett-PackardHP_La1729</ParbID>
      </Model>
      <Model>
        <DeviceModelName>HP LaserJet MFP M426fdw</DeviceModelName>
        <UsbID>VID_03F0&amp;PID_5a2a</UsbID>
        <ParbID>Hewlett-PackardHP_Ladde8</ParbID>
      </Model>
      <Model>
        <DeviceModelName>HP LaserJet MFP M427fdn</DeviceModelName>
        <UsbID>VID_03F0&amp;PID_5a2a</UsbID>
        <ParbID>Hewlett-PackardHP_Laeb28</ParbID>
      </Model>
      <Model>
        <DeviceModelName>HP LaserJet MFP M427fdw</DeviceModelName>
        <UsbID>VID_03F0&amp;PID_5a2a</UsbID>
        <ParbID>Hewlett-PackardHP_La21e9</ParbID>
      </Model>
    </Models>
    <WebServicesOptInSupport xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <cfgOptInModelType>ClientSoftwareOptIn</cfgOptInModelType>
    </WebServicesOptInSupport>
    <PostInstallManagerLaunchActionItems>
      <AutomaticLaunchActionItems>
      </AutomaticLaunchActionItems>
      <EPrintWebSiteLaunchActionItem>
      </EPrintWebSiteLaunchActionItem>
      <ButtonLaunchActionItems>
      </ButtonLaunchActionItems>
      <WebRegLaunchActionItem>
      </WebRegLaunchActionItem>
    </PostInstallManagerLaunchActionItems>
  </cfgProductInfo>
  <cfgConnectionItems>
    <cfgConnectionItem Name="USBConnection" NameLoc="LocUSBConnection">
      <AssemblyName>hpbcsiConnectUSB</AssemblyName>
      <ClassName>HP.ConnectManager.CSI.USBConnectEngine</ClassName>
      <Version>USBVersion</Version>
      <DateCode>USBDateCode</DateCode>
      <ConnectionType>
        <cfgDeviceConnectionType>USB</cfgDeviceConnectionType>
      </ConnectionType>
      <IsDefaultConnection>true</IsDefaultConnection>
      <AllowSkip>true</AllowSkip>
    </cfgConnectionItem>
    <cfgConnectionItem Name="WiredNetworkConnection" NameLoc="LocWiredNetworkConnection">
      <AssemblyName>hpbcsiConnectNetwork</AssemblyName>
      <ClassName>HP.ConnectManager.CSI.NetworkConnectEngine</ClassName>
      <Version>WiredNetworkVersion</Version>
      <DateCode>WiredNetworkDateCode</DateCode>
      <ConnectionType>
        <cfgDeviceConnectionType>WiredNetwork</cfgDeviceConnectionType>
      </ConnectionType>
      <IsDefaultConnection>false</IsDefaultConnection>
    </cfgConnectionItem>
    <cfgConnectionItem Name="WirelessNetworkConnection" NameLoc="LocWirelessNetworkConnection">
      <AssemblyName>hpbcsiConnectWireless</AssemblyName>
      <ClassName>HP.ConnectManager.CSI.WirelessConnectEngine</ClassName>
      <Version>WirelessNetworkVersion</Version>
      <DateCode>WirelessNetworkDateCode</DateCode>
      <ConnectionType>
        <cfgDeviceConnectionType>WirelessNetwork</cfgDeviceConnectionType>
      </ConnectionType>
      <IsDefaultConnection>false</IsDefaultConnection>
    </cfgConnectionItem>
  </cfgConnectionItems>
  <cfgInstallationInfo>
    <InstallPathPrefix>%ProgramFiles%\HP\csiInstaller</InstallPathPrefix>
    <InstallDataPathPrefix>%ProgramData%\HP\csiInstaller</InstallDataPathPrefix>
    <InstallDataFileName>hpbcsiInstaller.xml</InstallDataFileName>
    <RegKeyBase>HKEY_CURRENT_USER\\Software\Hewlett-Packard</RegKeyBase>
    <Manufacturer>Hewlett-Packard</Manufacturer>
    <PreloadExeString>%InstancePreloadPath%\Setup.exe</PreloadExeString>
    <UninstallArgsString>/Uninstall</UninstallArgsString>
    <ForcedUninstallArgsString>/ForcedUninstall</ForcedUninstallArgsString>
    <WirelessReconfigArgsString>/ReconfigWireless</WirelessReconfigArgsString>
    <InstallerEventName>hpbcsiInstaller</InstallerEventName>
    <ThreadTimeoutSeconds>1200</ThreadTimeoutSeconds>
    <PrepareToInstallThreadTimeoutSeconds>1260</PrepareToInstallThreadTimeoutSeconds>
    <PnPThreadTimeOutSeconds>1200</PnPThreadTimeOutSeconds>
    <InstallThreadTimeoutSeconds>2400</InstallThreadTimeoutSeconds>
    <ShowCustomerFriendlyExceptionMessage>true</ShowCustomerFriendlyExceptionMessage>
    <LocalizedContent>
      <EULA>
        <cfgLaunchActionItem Name="EULA" Enabled="true">
          <FileNameDefault>%InstallerRootParent%\InstallerContent\EULA\EULA_enww.rtf</FileNameDefault>
          <FileNameBase>EULA</FileNameBase>
          <FileExtension>.rtf</FileExtension>
          <FilePath>%InstallerRootParent%\InstallerContent\EULA</FilePath>
        </cfgLaunchActionItem>
      </EULA>
      <FiViSpyInfo>
        <cfgLaunchActionItem Name="FiViSpyInfo" Enabled="true">
          <FileNameDefault>%InstallerRootParent%\InstallerContent\Privacy\fivispyinfo_en.rtf</FileNameDefault>
          <FileNameBase>fivispyinfo</FileNameBase>
          <FileExtension>.rtf</FileExtension>
          <FilePath>%InstallerRootParent%\InstallerContent\Privacy</FilePath>
        </cfgLaunchActionItem>
      </FiViSpyInfo>
      <InternetInfo>
        <cfgLaunchActionItem Name="InternetInfo" Enabled="true">
          <FileNameDefault>%InstallerRootParent%\InstallerContent\InternetInfo\InternetInfo_enww.rtf</FileNameDefault>
          <FileNameBase>InternetInfo</FileNameBase>
          <FileExtension>.rtf</FileExtension>
          <FilePath>%InstallerRootParent%\InstallerContent\InternetInfo</FilePath>
        </cfgLaunchActionItem>
      </InternetInfo>
      <PrepareToInstallContent>
        <cfgLaunchActionItem Name="EnvironmentalInfo" Enabled="true">
          <FileNameDefault>%InstallerRootParent%\InstallerContent\EnvironmentalInfo\EnvironmentalInfo_enww.rtf</FileNameDefault>
          <FileNameBase>EnvironmentalInfo</FileNameBase>
          <FileExtension>.rtf</FileExtension>
          <FilePath>%InstallerRootParent%\InstallerContent\EnvironmentalInfo</FilePath>
        </cfgLaunchActionItem>
      </PrepareToInstallContent>
    </LocalizedContent>
    <HelpContent>
      <HelpContentItems>
        <cfgLaunchActionItem Name="WiredHelp" Enabled="true">
          <Command>CSIHelp.exe</Command>
          <CommandPath>%InstallerRootParent%\InstallerContent\Help</CommandPath>
          <CommandOptions>command=wired_help</CommandOptions>
        </cfgLaunchActionItem>
        <cfgLaunchActionItem Name="WirelessHelp" Enabled="true">
          <Command>CSIHelp.exe</Command>
          <CommandPath>%InstallerRootParent%\InstallerContent\Help</CommandPath>
          <CommandOptions>command=wireless_help</CommandOptions>
        </cfgLaunchActionItem>
      </HelpContentItems>
    </HelpContent>
  </cfgInstallationInfo>
  <cfgSupportedLanguages>
    <cfgLocalizationLanguageType Name="Arabic" />
    <cfgLocalizationLanguageType Name="Bulgarian" />
    <cfgLocalizationLanguageType Name="Catalan" />
    <cfgLocalizationLanguageType Name="Chinese-Simplified" />
    <cfgLocalizationLanguageType Name="Chinese-Traditional" />
    <cfgLocalizationLanguageType Name="Croatian" />
    <cfgLocalizationLanguageType Name="Czech" />
    <cfgLocalizationLanguageType Name="Danish" />
    <cfgLocalizationLanguageType Name="Dutch" />
    <cfgLocalizationLanguageType Name="English" />
    <cfgLocalizationLanguageType Name="Estonian" />
    <cfgLocalizationLanguageType Name="Finnish" />
    <cfgLocalizationLanguageType Name="French" />
    <cfgLocalizationLanguageType Name="German" />
    <cfgLocalizationLanguageType Name="Greek" />
    <cfgLocalizationLanguageType Name="Hebrew" />
    <cfgLocalizationLanguageType Name="Hungarian" />
    <cfgLocalizationLanguageType Name="Indonesian" />
    <cfgLocalizationLanguageType Name="Italian" />
    <cfgLocalizationLanguageType Name="Japanese" />
    <cfgLocalizationLanguageType Name="Kazakh" />
    <cfgLocalizationLanguageType Name="Korean" />
    <cfgLocalizationLanguageType Name="Latvian" />
    <cfgLocalizationLanguageType Name="Lithuanian" />
    <cfgLocalizationLanguageType Name="Norwegian" />
    <cfgLocalizationLanguageType Name="Polish" />
    <cfgLocalizationLanguageType Name="Portuguese" />
    <cfgLocalizationLanguageType Name="Romanian" />
    <cfgLocalizationLanguageType Name="Russian" />
    <cfgLocalizationLanguageType Name="Serbian" />
    <cfgLocalizationLanguageType Name="Slovak" />
    <cfgLocalizationLanguageType Name="Slovenian" />
    <cfgLocalizationLanguageType Name="Spanish" />
    <cfgLocalizationLanguageType Name="Swedish" />
    <cfgLocalizationLanguageType Name="Thai" />
    <cfgLocalizationLanguageType Name="Turkish" />
    <cfgLocalizationLanguageType Name="Ukrainian" />
    <cfgLocalizationLanguageType Name="Vietnamese" />
  </cfgSupportedLanguages>
  <cfgNavPageItems>
    <cfgNavPageItem Name="Admin Documentation" NameLoc="strNavPageAdminDocumentation">
    </cfgNavPageItem>
    <cfgNavPageItem Name="Admin Software" NameLoc="strNavPageAdminSoftware">
    </cfgNavPageItem>
    <cfgNavPageItem Name="Configure Product" NameLoc="strNavPageConfigureProduct">
    </cfgNavPageItem>
    <cfgNavPageItem Name="Documentation" NameLoc="strNavPageDocumentation">
      <cfgLaunchActionItem Name="User Guide" Enabled="true" NameLoc="strNavButtonUserGuideCD" DescrLoc="strNavDescrUserGuideCD" Descr="View the User Guide that is on the CD.">
        <FileNameDefault>LJPMFPM426M427_use_enww.chm</FileNameDefault>
        <FileNameBase>LJPMFPM426M427_use_</FileNameBase>
        <FileExtension>.chm</FileExtension>
        <FilePath>%InstallerRootParent%\Documents\program files\HP\HP LaserJet Pro MFP M426f-M427f</FilePath>
        <FileAddLang>true</FileAddLang>
      </cfgLaunchActionItem>
      <cfgLaunchActionItem Name="Readme" Enabled="true" NameLoc="strNavButtonReadme" DescrLoc="strNavDescrReadme" Descr="Provides specific installation instructions and other information.">
        <FileNameDefault>%InstallerRootParent%\Documents\ReadMe\LJPMFPM426M427_install-notes_enww.htm</FileNameDefault>
        <FileNameBase>LJPMFPM426M427_install-notes_</FileNameBase>
        <FileExtension>.htm</FileExtension>
        <FilePath>%InstallerRootParent%\Documents\ReadMe</FilePath>
        <FileAddLang>true</FileAddLang>
      </cfgLaunchActionItem>
      <cfgLaunchActionItem Descr="View the warranty, legal and regulatory information for your product." DescrLoc="strWarrantyAndLegalGuideDescr" Enabled="true" Name="Warranty and Legal Guide" NameLoc="strWarrantyAndLegalGuide">
        <FileNameDefault>LJPMFPM426M427_warranty-legal_enww.chm</FileNameDefault>
        <FileNameBase>LJPMFPM426M427_warranty-legal_</FileNameBase>
        <FileExtension>.chm</FileExtension>
        <FilePath>%InstallerRootParent%\Documents\program files\HP\HP LaserJet Pro MFP M426f-M427f</FilePath>
        <FileAddLang>true</FileAddLang>
      </cfgLaunchActionItem>
    </cfgNavPageItem>
    <cfgNavPageItem Name="Get Specialized Drivers" NameLoc="strNavPageGetSpecializedDrivers">
    </cfgNavPageItem>
    <cfgNavPageItem Name="Web Support" NameLoc="strNavPageWebSupport">
      <cfgLaunchActionItem Descr="Readiris Pro provides your HP product with advanced OCR and scanning features.  Easily convert your paper documents into editable and searchable PDF files, ready to be stored and shared." Enabled="true" Name="Free Download - Readiris Pro for HP" NameLoc="strNavButtonReadIris" DescrLoc="strNavDescrReadIris">
        <URLDefault>http://ftp.hp.com/pub/softlib/readiris/Readiris14ProHPWin.zip</URLDefault>
        <URLBase>
        </URLBase>
        <URLAddLangParams>false</URLAddLangParams>
        <URLAddCCParams>false</URLAddCCParams>
        <URLAddClientParam>false</URLAddClientParam>
        <URLClientParamValue>na</URLClientParamValue>
      </cfgLaunchActionItem>
    </cfgNavPageItem>
  </cfgNavPageItems>
  <cfgSystemCheckConditions>
    <BlockConditions>
      <Condition Name="WindowsXPor2003" ErrorMessageLoc="strErrorDetailUnsupportedOS" />
      <Condition Name="WindowsVista" ErrorMessageLoc="strErrorDetailUnsupportedOS" />
      <Condition Name="WindowsSevenOrServer2008R2" ErrorMessageLoc="strErrorDetailUnsupportedOS" />
    </BlockConditions>
    <SupportedConditions>
      <Condition Name="Win32NTPlatform" ErrorMessageLoc="strErrorDetailUnsupportedOS" />
      <Condition Name="WindowsVistaOrNewer or WindowsXPSP2OrGreater or Windows2003SP1OrGreater" ErrorMessageLoc="strErrorDetailUnsupportedOS" />
      <Condition Name="32bit or 64bit" ErrorMessageLoc="strErrorDetailUnsupportedArchitecture" />
      <Condition Name="DiskSpace200MB" ErrorMessageLoc="strErrorDetailInsufficientDiskSpace" />
      <Condition Name="PhysicalMemory512MB" ErrorMessageLoc="strErrorDetailInsufficientPhysicalMemory" />
    </SupportedConditions>
    <MinimumOnlyConditions>
      <Condition Name="ServerProductTypes" />
    </MinimumOnlyConditions>
    <Prerequisites>
      <Condition Name="DotNet351OrGreater" Action="InstallDotNet" ErrorMessageLoc="IDS_ERROR_SYSREQS" Webpage="http://www.hp.com" />
    </Prerequisites>
  </cfgSystemCheckConditions>
  <cfgPDUItems>
    <cfgPDUItem Name="PreloadCSI">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090602</DateCode>
      <PDUID>B46FBB85-2361-4102-844C-9BB4D3801F60</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="false">
              <ActionType>
                <cfgPDUEngineActionType>ProcessStart</cfgPDUEngineActionType>
              </ActionType>
              <ProcessStartCommand>regedit.exe</ProcessStartCommand>
              <ProcessStartArguments>/s CSIInstallerStarted.reg</ProcessStartArguments>
              <ProcessStartWaitForReturn>true</ProcessStartWaitForReturn>
              <ProcessStartCheckReturn>false</ProcessStartCheckReturn>
              <ProcessStartPassInstallData>false</ProcessStartPassInstallData>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>*.inf</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>*.cat</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>Setup.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>Bootstrap*.*</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\Languages</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Languages</CopyFilesToDir>
              <CopyFilesInclude>*.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.\Languages</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer\Languages</CopyFilesToDir>
              <CopyFilesInclude>**\*.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>*.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>hpbcsiInstaller.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>hpbcsiInstaller.exe.config</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>hpbcsiServiceMarshaller.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>HPWSDToolx64.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>HPWSDToolx86.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>NetworkHandlerx64.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>NetworkHandlerx86.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>app.config</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>InstallerConfig.xml</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>InstallerParams.xml</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\Installer</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>hpbni*.exe</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.\Resources</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer\Resources</CopyFilesToDir>
              <CopyFilesInclude>InstanceResources.xml</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CreateShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>HP_%InstanceID%</ShortcutName>
              <ShortcutLocName>
              </ShortcutLocName>
              <ShortcutDestination>Startup</ShortcutDestination>
              <ShortcutExecutuable>%PreloadExeString%</ShortcutExecutuable>
              <ShortcutExecutuableParams>%ForcedUninstallArgsString%</ShortcutExecutuableParams>
              <ShortcutHoverDescription>Crash Recovery Uninstall</ShortcutHoverDescription>
              <ShortcutLocHoverDescription />
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\InstallerContent\Help</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\InstallerContent\Help</CopyFilesToDir>
              <CopyFilesInclude>**\*.*</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>.</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\Installer</CopyFilesToDir>
              <CopyFilesInclude>hpbcsiServiceMarshaller.exe.config</CopyFilesInclude>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CreateARP</cfgPDUEngineActionType>
              </ActionType>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true" If="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>CreateShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Uninstall</ShortcutName>
              <ShortcutLocName>strPduUninstallProductSoftware</ShortcutLocName>
              <ShortcutDestination>DesktopHpCsi</ShortcutDestination>
              <ShortcutExecutuable>%PreloadExeString%</ShortcutExecutuable>
              <ShortcutExecutuableParams>%UninstallArgsString%</ShortcutExecutuableParams>
              <ShortcutHoverDescription>
              </ShortcutHoverDescription>
              <ShortcutLocHoverDescription />
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true" NotIf="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>CreateShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Uninstall</ShortcutName>
              <ShortcutLocName>strPduUninstallProductSoftware</ShortcutLocName>
              <ShortcutDestination>ProgramsHpCsi</ShortcutDestination>
              <ShortcutExecutuable>%PreloadExeString%</ShortcutExecutuable>
              <ShortcutExecutuableParams>%UninstallArgsString%</ShortcutExecutuableParams>
              <ShortcutHoverDescription>
              </ShortcutHoverDescription>
              <ShortcutLocHoverDescription />
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>DeleteFiles</cfgPDUEngineActionType>
              </ActionType>
              <DeleteFilesDir>%InstancePreloadPath%</DeleteFilesDir>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>DeleteARP</cfgPDUEngineActionType>
              </ActionType>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>DeleteShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Uninstall</ShortcutName>
              <ShortcutLocName>strPduUninstallProductSoftware</ShortcutLocName>
              <ShortcutDestination>DesktopHpCsi</ShortcutDestination>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem NotIf="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>DeleteShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Uninstall</ShortcutName>
              <ShortcutLocName>strPduUninstallProductSoftware</ShortcutLocName>
              <ShortcutDestination>ProgramsHpCsi</ShortcutDestination>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>DeleteShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>HP_%InstanceID%</ShortcutName>
              <ShortcutLocName />
              <ShortcutDestination>Startup</ShortcutDestination>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="false">
              <ActionType>
                <cfgPDUEngineActionType>ProcessStart</cfgPDUEngineActionType>
              </ActionType>
              <ProcessStartCommand>regedit.exe</ProcessStartCommand>
              <ProcessStartArguments>/s CSIInstallerNotStarted.reg</ProcessStartArguments>
              <ProcessStartWaitForReturn>true</ProcessStartWaitForReturn>
              <ProcessStartCheckReturn>false</ProcessStartCheckReturn>
              <ProcessStartPassInstallData>false</ProcessStartPassInstallData>
            </cfgPDUEngineActionItem>
          </UninstallActions>
          <PostInstallActions>
            <cfgPDUEngineActionItem VisibleOnReconfig="false">
              <ActionType>
                <cfgPDUEngineActionType>ProcessStart</cfgPDUEngineActionType>
              </ActionType>
              <ProcessStartCommand>regedit.exe</ProcessStartCommand>
              <ProcessStartArguments>/s CSIInstallerNotStarted.reg</ProcessStartArguments>
              <ProcessStartWaitForReturn>true</ProcessStartWaitForReturn>
              <ProcessStartCheckReturn>false</ProcessStartCheckReturn>
              <ProcessStartPassInstallData>false</ProcessStartPassInstallData>
            </cfgPDUEngineActionItem>
          </PostInstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP TCPIP Port Monitor 32 bit" If="32bit">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.2</Version>
      <DateCode>20090908</DateCode>
      <PDUID>5EC3D792-B5F3-4da8-AE19-F0E5FEB3DCE8</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\SIPM_32\HpTcpMon.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>false</MSIExecAppendLangParam>
              <MSIExecShowRebootOnError>true</MSIExecShowRebootOnError>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
          </InstallActions>
          <UninstallActions>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP TCPIP Port Monitor 64 bit" If="64bit">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090908</DateCode>
      <PDUID>C00BB22A-7327-426b-8F9E-74ECD04BC0EC</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\SIPM_64\HpTcpMon64.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>false</MSIExecAppendLangParam>
              <MSIExecShowRebootOnError>true</MSIExecShowRebootOnError>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
          </InstallActions>
          <UninstallActions>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP UIO 32 bit">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.2</Version>
      <DateCode>20090908</DateCode>
      <PDUID>5EC3D792-B5F3-4da8-AE19-F0E5FEB3DCE8</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\UIO\UIO_32\UnifiedIO.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>false</MSIExecAppendLangParam>
              <MSIExecShowRebootOnError>true</MSIExecShowRebootOnError>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
          </InstallActions>
          <UninstallActions>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP UIO 64 bit" If="64bit">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090908</DateCode>
      <PDUID>C00BB22A-7327-426b-8F9E-74ECD04BC0EC</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\UIO\UIO_64\UnifiedIO.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>false</MSIExecAppendLangParam>
              <MSIExecShowRebootOnError>true</MSIExecShowRebootOnError>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
          </InstallActions>
          <UninstallActions>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="SpoolerRestart" If="WindowsEightOrNewer">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20110106</DateCode>
      <PDUID>0917B1F0-A397-4742-A5BC-F69950160E18</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath>
      </PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>ProcessStart</cfgPDUEngineActionType>
              </ActionType>
              <ProcessStartCommand>cmd.exe</ProcessStartCommand>
              <ProcessStartArguments>net stop spooler &amp; net start spooler</ProcessStartArguments>
              <ProcessStartWaitForReturn>false</ProcessStartWaitForReturn>
              <ProcessStartCheckReturn>false</ProcessStartCheckReturn>
              <ProcessStartPassInstallData>false</ProcessStartPassInstallData>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <PostInstallActions>
          </PostInstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="Reconfigure your HP Wireless Device">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090602</DateCode>
      <PDUID>B46FBB85-2361-4102-844C-9BB4D3801F60</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <InstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true" If="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>CreateShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Reconfigure your HP Device</ShortcutName>
              <ShortcutLocName>strRelaunchWizardWirelessNew</ShortcutLocName>
              <ShortcutDestination>DesktopHpCsi</ShortcutDestination>
              <ShortcutExecutuable>%PreloadExeString%</ShortcutExecutuable>
              <ShortcutExecutuableParams>%WirelessReconfigArgsString%</ShortcutExecutuableParams>
              <ShortcutHoverDescription>Reconfigures your HP Device's network connection by updating device settings using software already installed on your PC</ShortcutHoverDescription>
              <ShortcutLocHoverDescription>strRelaunchWizardWirelessTooltip</ShortcutLocHoverDescription>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true" NotIf="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>CreateShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Reconfigure your HP Device</ShortcutName>
              <ShortcutLocName>strRelaunchWizardWirelessNew</ShortcutLocName>
              <ShortcutDestination>ProgramsHpCsi</ShortcutDestination>
              <ShortcutExecutuable>%PreloadExeString%</ShortcutExecutuable>
              <ShortcutExecutuableParams>%WirelessReconfigArgsString%</ShortcutExecutuableParams>
              <ShortcutHoverDescription>Reconfigures your HP Device's network connection by updating device settings using software already installed on your PC</ShortcutHoverDescription>
              <ShortcutLocHoverDescription>strRelaunchWizardWirelessTooltip</ShortcutLocHoverDescription>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem If="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>DeleteShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Reconfigure your HP Device</ShortcutName>
              <ShortcutLocName>strRelaunchWizardWirelessNew</ShortcutLocName>
              <ShortcutDestination>DesktopHpCsi</ShortcutDestination>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem NotIf="WindowsEightOrNewer">
              <ActionType>
                <cfgPDUEngineActionType>DeleteShortcut</cfgPDUEngineActionType>
              </ActionType>
              <ShortcutName>Reconfigure your HP Device</ShortcutName>
              <ShortcutLocName>strRelaunchWizardWirelessNew</ShortcutLocName>
              <ShortcutDestination>ProgramsHpCsi</ShortcutDestination>
            </cfgPDUEngineActionItem>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="Warranty and User Guides" NameLoc="">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090507</DateCode>
      <PDUID>6B3ECF69-DD62-4b39-B1A2-F576240FED60</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath>%InstallerRootParent%\Documents\</PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/I "%InstallerRootParent%\Documents\HPLJProMFPM426fM427f.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
              <MSIExecAppendPortParam>false</MSIExecAppendPortParam>
              <MSIExecAppendTransformParam>true</MSIExecAppendTransformParam>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {D35FCACF-4E40-42A5-BB56-E279F2C217A3} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
      <cfgPDUDependencies>
        <DependentUpon>
        </DependentUpon>
      </cfgPDUDependencies>
    </cfgPDUItem>
    <cfgPDUItem Name="RestartScan_Stop" NotIf="ServerProductTypes">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20100101</DateCode>
      <PDUID>2C4A2882-54DB-4d94-AC88-04B340C7B280</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath>
      </PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <InstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>ProcessStart</cfgPDUEngineActionType>
              </ActionType>
              <ProcessStartCommand>Net</ProcessStartCommand>
              <ProcessStartArguments>stop stisvc</ProcessStartArguments>
              <ProcessStartWaitForReturn>false</ProcessStartWaitForReturn>
              <ProcessStartCheckReturn>false</ProcessStartCheckReturn>
            </cfgPDUEngineActionItem>
          </InstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP LaserJet Pro MFP M426f-M427f Scan Driver" NameLoc="">
      <AssemblyName>hpbcsiPDUDriver</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.PrintDriverPDU</ClassName>
      <Version>0.0.0.2</Version>
      <DateCode>20091117</DateCode>
      <PDUID>53805A7C-F63C-4856-BD13-4EC349D11E48</PDUID>
      <PDUTypeID>0717A112-9C56-4a93-AF94-6B1176E77A75</PDUTypeID>
      <IsCustomerVisibleAtInstall>true</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>DIFx</cfgPDUEngineActionType>
              </ActionType>
              <DIFxCommand>DriverPackagePreinstall</DIFxCommand>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem If="32bit" Connection="WiredNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>NetScan</cfgPDUEngineActionType>
              </ActionType>
              <NetScanCommand>InstallNetworkScan</NetScanCommand>
              <NetScanPlugIn>hpbniscan32.exe</NetScanPlugIn>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="64bit" Connection="WiredNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>NetScan</cfgPDUEngineActionType>
              </ActionType>
              <NetScanCommand>InstallNetworkScan</NetScanCommand>
              <NetScanPlugIn>hpbniscan64.exe</NetScanPlugIn>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="32bit" Connection="WirelessNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>NetScan</cfgPDUEngineActionType>
              </ActionType>
              <NetScanCommand>InstallNetworkScan</NetScanCommand>
              <NetScanPlugIn>hpbniscan32.exe</NetScanPlugIn>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="64bit" Connection="WirelessNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>NetScan</cfgPDUEngineActionType>
              </ActionType>
              <NetScanCommand>InstallNetworkScan</NetScanCommand>
              <NetScanPlugIn>hpbniscan64.exe</NetScanPlugIn>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>NetScan</cfgPDUEngineActionType>
              </ActionType>
              <NetScanCommand>NOP</NetScanCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>DIFx</cfgPDUEngineActionType>
              </ActionType>
              <DIFxCommand>DriverPackageUninstall</DIFxCommand>
            </cfgPDUEngineActionItem>
          </UninstallActions>
          <ScanDriverModelName>HP LJ M426fM427f Scan Driver</ScanDriverModelName>
          <InfFileNames>
            <cfgInfFileName IsDriverInstallFile="true">..\\hppasc_lj426427f.inf</cfgInfFileName>
          </InfFileNames>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="Scan Driver Preload">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20100101</DateCode>
      <PDUID>2C4A2882-54DB-4d94-AC88-04B340C7A280</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath>
      </PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>hppscancoins*.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>hpptsplj426427f.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>HPWia1_lj426427f.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%</CopyFilesToDir>
              <CopyFilesInclude>HPWia2_lj426427f.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\x64</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\x64</CopyFilesToDir>
              <CopyFilesInclude>HPWia1_lj426427f.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\x64</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\x64</CopyFilesToDir>
              <CopyFilesInclude>HPWia2_lj426427f.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>CopyFiles</cfgPDUEngineActionType>
              </ActionType>
              <CopyFilesSourceDir>..\</CopyFilesSourceDir>
              <CopyFilesToDir>%InstancePreloadPath%\</CopyFilesToDir>
              <CopyFilesInclude>hpzjcd01scan.dll</CopyFilesInclude>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="RestartScan_Start" NotIf="ServerProductTypes">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20100101</DateCode>
      <PDUID>2C4A2882-54DB-4d94-AC88-04B340C7B280</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath>
      </PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <InstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>ProcessStart</cfgPDUEngineActionType>
              </ActionType>
              <ProcessStartCommand>Net</ProcessStartCommand>
              <ProcessStartArguments>start stisvc</ProcessStartArguments>
              <ProcessStartWaitForReturn>false</ProcessStartWaitForReturn>
              <ProcessStartCheckReturn>false</ProcessStartCheckReturn>
            </cfgPDUEngineActionItem>
          </InstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP Scan" NameLoc="strScanApplication">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.2</Version>
      <DateCode>20090908</DateCode>
      <PDUID>5EC3D792-B5F3-4da8-AE19-F0E5FEB3DCE8</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>true</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true" If="64bit">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Product\Scan_App\HPScanLJ426427f.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true" If="32bit">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Product\Scan_App\HPScanLJ426427f.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem NotIf="WindowsEightOrNewer" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Product\KCommon\LJCommonx86.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem NotIf="WindowsEightOrNewer" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Product\DigitalFiling\LJDigitalFilingx86.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem NotIf="WindowsEightOrNewer" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Product\ScanShortcuts\LJShortcutsx86.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\ScanPlugin\HPDropBoxPlugin.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\ScanPlugin\HPGoogleDrivePlugin.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {81F6212D-564E-48A1-8BAF-87D2A18A22CF} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {49F5C94B-9EB3-4ED9-8346-F58DB1A014CF} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {A9D3857A-EEEE-4364-8DF5-8C8FBFBA7555} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {DC4188B7-9B2B-4858-965B-473D898393B3} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {6ECEC3A4-708D-4E6F-A955-76FF52194D06} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/X {29BDE651-5F27-4681-90AA-5C744218ADCD} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem If="WindowsSevenOrNewer" Name="HP Device Experience" NameLoc="strHPDeviceExperience">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>0.0.0.2</Version>
      <DateCode>20090908</DateCode>
      <PDUID>5EC3D792-B5F3-4da8-AE19-F0E5FEB3DCE9</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>true</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>true</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem If="WindowsSevenOrNewer" SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Product\HPDXP\HPDXP.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>false</MSIExecAppendLangParam>
              <MSIExecAppendPortParam>false</MSIExecAppendPortParam>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\HPLJDXPHelper\LJDXPHelperUI.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/x {DEB23FB1-04FF-44AC-98B5-EEB243D65A28} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/x {c05cd61e-bfc2-49cb-8481-ed0ad5a57f8e} /qn REBOOT=ReallySuppress</MSIExecCommand>
            </cfgPDUEngineActionItem>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="FaxIO" NameLoc="">
      <AssemblyName>hpbcsiPDUDriver</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.PrintDriverPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090430</DateCode>
      <PDUID>2AF68434-B2DB-4ec1-B936-DA5BD6AF4620</PDUID>
      <PDUTypeID>0717A112-9C56-4a93-AF94-6B1176E77A75</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>DIFx</cfgPDUEngineActionType>
              </ActionType>
              <DIFxCommand>DriverPackagePreinstall</DIFxCommand>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>DeletePrintDriverInstance</PrintUICommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>RemovePrinterDriver</PrintUICommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>DIFx</cfgPDUEngineActionType>
              </ActionType>
              <DIFxCommand>DriverPackageUninstall</DIFxCommand>
            </cfgPDUEngineActionItem>
          </UninstallActions>
          <InfFileNames>
            <cfgInfFileName LeaveInDriverStore="true" If="32bit">..\\hpbuio160f.inf</cfgInfFileName>
            <cfgInfFileName LeaveInDriverStore="true" If="64bit">..\\hpbuio160f.inf</cfgInfFileName>
          </InfFileNames>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="HP LaserJet Pro MFP M426f-M427f PCL 6" NameLoc="">
      <AssemblyName>hpbcsiPDUDriver</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.PrintDriverPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090430</DateCode>
      <PDUID>2AF68434-B2DB-4ec1-B936-DA5BD6AF4620</PDUID>
      <PDUTypeID>0717A112-9C56-4a93-AF94-6B1176E77A75</PDUTypeID>
      <IsCustomerVisibleAtInstall>true</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>true</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>false</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>DIFx</cfgPDUEngineActionType>
              </ActionType>
              <DIFxCommand>DriverPackagePreinstall</DIFxCommand>
            </cfgPDUEngineActionItem>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem If="WindowsVistaOrNewer" Connection="WiredNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>InstallPrinterToPort</PrintUICommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsVistaOrNewer" Connection="WirelessNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>InstallPrinterToPort</PrintUICommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater or Windows2003SP1OrGreater" Connection="WiredNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>NetPrint</cfgPDUEngineActionType>
              </ActionType>
              <NetPrintCommand>InstallNetworkPrint</NetPrintCommand>
              <NetPrintPlugIn>hpbniprint32.exe</NetPrintPlugIn>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem If="WindowsXPSP2OrGreater or Windows2003SP1OrGreater" Connection="WirelessNetwork" SkipOnHWFirst="true">
              <ActionType>
                <cfgPDUEngineActionType>NetPrint</cfgPDUEngineActionType>
              </ActionType>
              <NetPrintCommand>InstallNetworkPrint</NetPrintCommand>
              <NetPrintPlugIn>hpbniprint32.exe</NetPrintPlugIn>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>DeletePrintDriverInstance</PrintUICommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>RemovePrinterDriver</PrintUICommand>
            </cfgPDUEngineActionItem>
            <cfgPDUEngineActionItem>
              <ActionType>
                <cfgPDUEngineActionType>DIFx</cfgPDUEngineActionType>
              </ActionType>
              <DIFxCommand>DriverPackageUninstall</DIFxCommand>
            </cfgPDUEngineActionItem>
          </UninstallActions>
          <PrintDriverModelName>HP LaserJet Pro MFP M426f-M427f PCL 6</PrintDriverModelName>
          <InfFileNames>
            <cfgInfFileName IsDriverInstallFile="true" If="32bit">..\\hpma5a2a_x86.inf</cfgInfFileName>
            <cfgInfFileName IsDriverInstallFile="true" If="64bit">..\\hpma5a2a_x64.inf</cfgInfFileName>
            <cfgInfFileName LeaveInDriverStore="true">..\\hpbuio160l.inf</cfgInfFileName>
          </InfFileNames>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="I.R.I.S. OCR" NameLoc="strIrisOCR">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDU</ClassName>
      <Version>12.3.6.6</Version>
      <DateCode>20090908</DateCode>
      <PDUID>5EC3D792-B5F3-4da8-AE19-F0E5FEB3DCE8</PDUID>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
      <IsCustomerVisibleAtInstall>true</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>false</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>true</IsIndividuallySelectable>
      <PDUDataPath />
      <PDUElements>
        <cfgInstallablePDUElements>
          <PrepareToInstallActions>
          </PrepareToInstallActions>
          <InstallActions>
            <cfgPDUEngineActionItem SkipOnReconnect="true">
              <ActionType>
                <cfgPDUEngineActionType>MSIExec</cfgPDUEngineActionType>
              </ActionType>
              <MSIExecCommand>/i "%InstallerRootParent%\Setup\Core\Iris_OCR\IrisOCR.msi" /qn REBOOT=ReallySuppress</MSIExecCommand>
              <MSIExecAppendLangParam>true</MSIExecAppendLangParam>
            </cfgPDUEngineActionItem>
          </InstallActions>
          <UninstallActions>
          </UninstallActions>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="Set as default printer" NameLoc="strPduSetDefaultPrinter">
      <AssemblyName>hpbcsiPDUDriver</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.PrintDriverPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090908</DateCode>
      <PDUID>1A473FD3-AAE7-4b08-B35A-AFE0B1FAEC89</PDUID>
      <PDUTypeID>0717A112-9C56-4a93-AF94-6B1176E77A75</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>true</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>true</IsIndividuallySelectable>
      <PDUDataPath>
      </PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <PostInstallActions>
            <cfgPDUEngineActionItem VisibleOnReconfig="true">
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>SetDefaultPrinter</PrintUICommand>
            </cfgPDUEngineActionItem>
          </PostInstallActions>
          <PrintDriverModelName>HP LaserJet Pro MFP M426f-M427f PCL 6</PrintDriverModelName>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
    <cfgPDUItem Name="Print a test page V3" NameLoc="strPduPrintTestPage">
      <AssemblyName>hpbcsiPDUDriver</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.PrintDriverPDU</ClassName>
      <Version>0.0.0.1</Version>
      <DateCode>20090908</DateCode>
      <PDUID>4B42A038-2CF5-4b96-9346-1E2FD6142F44</PDUID>
      <PDUTypeID>0717A112-9C56-4a93-AF94-6B1176E77A75</PDUTypeID>
      <IsCustomerVisibleAtInstall>false</IsCustomerVisibleAtInstall>
      <IsCustomerVisiblePostInstall>true</IsCustomerVisiblePostInstall>
      <IsCritical>false</IsCritical>
      <IsSelectedByDefault>true</IsSelectedByDefault>
      <IsIndividuallySelectable>true</IsIndividuallySelectable>
      <PDUDataPath>
      </PDUDataPath>
      <PDUElements>
        <cfgInstallablePDUElements>
          <PostInstallActions>
            <cfgPDUEngineActionItem VisibleOnReconfig="true">
              <ActionType>
                <cfgPDUEngineActionType>PrintUI</cfgPDUEngineActionType>
              </ActionType>
              <PrintUICommand>PrintWindowsTestPage</PrintUICommand>
            </cfgPDUEngineActionItem>
          </PostInstallActions>
          <PrintDriverModelName>HP LaserJet Pro MFP M426f-M427f PCL 6</PrintDriverModelName>
        </cfgInstallablePDUElements>
      </PDUElements>
    </cfgPDUItem>
  </cfgPDUItems>
  <cfgWirelessCommunicationModel xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <AssemblyName>hpbcsiDevCom</AssemblyName>
    <ClassName>HP.DeviceCommunication.CSI.WirelessDataModelAccessor</ClassName>
    <Version>0.0.0.2</Version>
    <DateCode>20100511</DateCode>
  </cfgWirelessCommunicationModel>
  <cfgPDUEngineItems>
    <cfgPDUEngineItem Name="Software Install PDU Engine">
      <AssemblyName>hpbcsiPDUSWInstall</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.SWInstallPDUEngine</ClassName>
      <Version>0.0.0.0</Version>
      <DateCode>20090506</DateCode>
      <PDUTypeID>AE3D779A-B02D-4840-8155-A3AD9E84292B</PDUTypeID>
    </cfgPDUEngineItem>
    <cfgPDUEngineItem Name="Driver PDU Engine">
      <AssemblyName>hpbcsiPDUDriver</AssemblyName>
      <ClassName>HP.PDUObjects.CSI.DriverPDUEngine</ClassName>
      <Version>0.0.0.0</Version>
      <DateCode>20090501</DateCode>
      <PDUTypeID>0717A112-9C56-4a93-AF94-6B1176E77A75</PDUTypeID>
    </cfgPDUEngineItem>
  </cfgPDUEngineItems>
  <cfgSystemConditionItems>
    <cfgSystemConditionItem Name="WindowsEightOrNewer">
      <MinOSVersionMajor>6</MinOSVersionMajor>
      <MinOSVersionMinor>2</MinOSVersionMinor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsSevenOrNewer">
      <MinOSVersionMajor>6</MinOSVersionMajor>
      <MinOSVersionMinor>1</MinOSVersionMinor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsSevenOrServer2008R2">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>1</CurrentOSVersionMinor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsServer2008">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>0</CurrentOSVersionMinor>
      <MinOSVersionProductType>2</MinOSVersionProductType>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsVistaOrNewer">
      <MinOSVersionMajor>6</MinOSVersionMajor>
      <MinOSVersionMinor>0</MinOSVersionMinor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsVistaSP1OrGreater">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>0</CurrentOSVersionMinor>
      <MinOSVersionServicePack>1</MinOSVersionServicePack>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsXPSP2OrGreater">
      <CurrentOSVersionMajor>5</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>1</CurrentOSVersionMinor>
      <CurrentOSVersionProductType>1</CurrentOSVersionProductType>
      <MinOSVersionServicePack>2</MinOSVersionServicePack>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="Windows2003SP1OrGreater">
      <CurrentOSVersionMajor>5</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>2</CurrentOSVersionMinor>
      <MinOSVersionProductType>2</MinOSVersionProductType>
      <MinOSVersionServicePack>1</MinOSVersionServicePack>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsXP64">
      <CurrentOSPlatform>2</CurrentOSPlatform>
      <CurrentOSVersionMajor>5</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>2</CurrentOSVersionMinor>
      <CurrentArchitecture>64bit</CurrentArchitecture>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsXP2003x64">
      <CurrentOSVersionMajor>5</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>2</CurrentOSVersionMinor>
      <CurrentArchitecture>64bit</CurrentArchitecture>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsVista64">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>0</CurrentOSVersionMinor>
      <CurrentArchitecture>64bit</CurrentArchitecture>
      <CurrentOSVersionProductType>1</CurrentOSVersionProductType>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsXPor2003">
      <CurrentOSVersionMajor>5</CurrentOSVersionMajor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsVista">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>0</CurrentOSVersionMinor>
      <CurrentOSVersionProductType>1</CurrentOSVersionProductType>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="32bit">
      <CurrentArchitecture>32bit</CurrentArchitecture>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="64bit">
      <CurrentArchitecture>64bit</CurrentArchitecture>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="Win32NTPlatform">
      <CurrentOSPlatform>2</CurrentOSPlatform>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="ServerProductTypes">
      <MinOSVersionProductType>2</MinOSVersionProductType>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="DiskSpace200MB">
      <MinDiskSpace>209715200</MinDiskSpace>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="PhysicalMemory512MB">
      <MinRAM>536870912</MinRAM>
    </cfgSystemConditionItem>
  </cfgSystemConditionItems>
</InstallerConfigXML>